Std Edit: Difference between revisions

From FreeCAD Documentation
No edit summary
({{Std Base}} {{Userdocnavi}} to categorize the page)
Line 7: Line 7:


<!--T:3-->
<!--T:3-->
This command allows to enter or leave the edit mode of a selected object. An object
This command allows to enter or leave the edit mode of a selected object. An object must be either selected (then it enters edit mode) or in edit mode (then it leaves edit mode) for this command to work.
must be either selected (then it enters edit mode) or in edit mode (then it leaves edit mode)
for this command to work.


<!--T:4-->
<!--T:4-->
The behaviour that occurs when entering edit mode depends on the object type. Some object types
The behaviour that occurs when entering edit mode depends on the object type. Some object types don't define any edit mode behaviour, in that case the standard behaviour (a transform widget) is used.
don't define any edit mode behaviour, in that case the standard behaviour (a transform widget)
is used.


<!--T:5-->
<!--T:5-->
Line 25: Line 21:


</translate>
</translate>
{{Code|code=
FreeCADGui.ActiveDocument.setEdit("myObjectName",0)
FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

}}
<translate>
<translate>
<!--T:11-->
<!--T:11-->
Line 32: Line 29:


</translate>
</translate>
{{Code|code=
FreeCADGui.ActiveDocument.resetEdit()
FreeCADGui.ActiveDocument.resetEdit()
}}
<translate>


{{Std Base}}

{{Userdocnavi}}
</translate>
{{clear}}
{{clear}}

Revision as of 23:21, 20 October 2019

Std Edit

Menu location
Edit → Toggle Editmode
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
...

Synopsis

This command allows to enter or leave the edit mode of a selected object. An object must be either selected (then it enters edit mode) or in edit mode (then it leaves edit mode) for this command to work.

The behaviour that occurs when entering edit mode depends on the object type. Some object types don't define any edit mode behaviour, in that case the standard behaviour (a transform widget) is used.

You can also perform the same action by double-clicking an object in the Tree View.

Scripting

This enters edit mode of a determined object:

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

This closes the edit mode:

FreeCADGui.ActiveDocument.resetEdit()